Bug 109385 - [CI][DRMTIP] All tests - dmesg-warn / incomplete - WARNING: possible circular locking dependency detected
Summary: [CI][DRMTIP] All tests - dmesg-warn / incomplete - WARNING: possible circular...
Status: REOPENED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Tvrtko Ursulin
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
: 109956 111652 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-01-18 19:58 UTC by Martin Peres
Modified: 2019-10-22 09:52 UTC (History)
2 users (show)

See Also:
i915 platform: BSW/CHT
i915 features: Perf/PMU


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-01-18 19:58:29 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@busy-double-start-vecs0.html

<6> [227.644735] [IGT] perf_pmu: executing
<6> [227.657613] [IGT] perf_pmu: starting subtest busy-double-start-vecs0
<4> [230.164203] 
<4> [230.164216] ======================================================
<4> [230.164224] WARNING: possible circular locking dependency detected
<4> [230.164233] 5.0.0-rc2-g19fd97ec0d64-drmtip_196+ #1 Tainted: G     U           
<4> [230.164241] ------------------------------------------------------
<4> [230.164249] perf_pmu/2178 is trying to acquire lock:
<4> [230.164257] 000000003ecd0ec4 (&mm->mmap_sem){++++}, at: __might_fault+0x39/0x90
<4> [230.164275] 
but task is already holding lock:
<4> [230.164282] 0000000035968c21 (&cpuctx_mutex){+.+.}, at: perf_event_ctx_lock_nested+0xbc/0x1d0
<4> [230.164297] 
which lock already depends on the new lock.

<4> [230.164306] 
the existing dependency chain (in reverse order) is:
<4> [230.164314] 
-> #4 (&cpuctx_mutex){+.+.}:
<4> [230.164326]        perf_event_init_cpu+0x5a/0x90
<4> [230.164335]        perf_event_init+0x1ab/0x1db
<4> [230.164346]        start_kernel+0x339/0x4c0
<4> [230.164355]        secondary_startup_64+0xa4/0xb0
<4> [230.164362] 
-> #3 (pmus_lock){+.+.}:
<4> [230.164373]        perf_event_init_cpu+0x21/0x90
<4> [230.164382]        cpuhp_invoke_callback+0x9b/0xa10
<4> [230.164390]        _cpu_up+0xa2/0x140
<4> [230.164398]        do_cpu_up+0x91/0xc0
<4> [230.164406]        smp_init+0x5d/0xa9
<4> [230.164413]        kernel_init_freeable+0x16f/0x359
<4> [230.164423]        kernel_init+0x5/0x100
<4> [230.164431]        ret_from_fork+0x3a/0x50
<4> [230.164437] 
-> #2 (cpu_hotplug_lock.rw_sem){++++}:
<4> [230.164450]        stop_machine+0x12/0x30
<4> [230.164568]        bxt_vtd_ggtt_insert_entries__BKL+0x36/0x50 [i915]
<4> [230.164655]        ggtt_bind_vma+0x59/0x90 [i915]
<4> [230.164744]        i915_vma_bind+0xe7/0x2c0 [i915]
<4> [230.164833]        __i915_vma_do_pin+0x93/0xd90 [i915]
<4> [230.164921]        i915_gem_init+0x31b/0xa20 [i915]
<4> [230.165002]        i915_driver_load+0xd54/0x1590 [i915]
<4> [230.165083]        i915_pci_probe+0x29/0xa0 [i915]
<4> [230.165093]        pci_device_probe+0xa1/0x130
<4> [230.165102]        really_probe+0xf3/0x3e0
<4> [230.165110]        driver_probe_device+0x10a/0x120
<4> [230.165118]        __driver_attach+0xdb/0x100
<4> [230.165125]        bus_for_each_dev+0x74/0xc0
<4> [230.165133]        bus_add_driver+0x15f/0x250
<4> [230.165141]        driver_register+0x56/0xe0
<4> [230.165148]        do_one_initcall+0x58/0x2e0
<4> [230.165157]        do_init_module+0x56/0x1ea
<4> [230.165164]        load_module+0x2718/0x29f0
<4> [230.165171]        __se_sys_finit_module+0xd3/0xf0
<4> [230.165179]        do_syscall_64+0x55/0x190
<4> [230.165187]        entry_SYSCALL_64_after_hwframe+0x49/0xbe
<4> [230.165194] 
-> #1 (&dev->struct_mutex){+.+.}:
<4> [230.165284]        i915_mutex_lock_interruptible+0x57/0x120 [i915]
<4> [230.165372]        i915_gem_fault+0x1ec/0x810 [i915]
<4> [230.165380]        __do_fault+0x2c/0xb0
<4> [230.165387]        __handle_mm_fault+0x98c/0xfa0
<4> [230.165395]        handle_mm_fault+0x196/0x3a0
<4> [230.165404]        __do_page_fault+0x246/0x500
<4> [230.165412]        page_fault+0x1e/0x30
<4> [230.165417] 
-> #0 (&mm->mmap_sem){++++}:
<4> [230.165428]        __might_fault+0x63/0x90
<4> [230.165437]        _copy_to_user+0x1e/0x70
<4> [230.165445]        perf_read+0x200/0x2a0
<4> [230.165453]        __vfs_read+0x31/0x190
<4> [230.165461]        vfs_read+0x9e/0x150
<4> [230.165468]        ksys_read+0x50/0xc0
<4> [230.165475]        do_syscall_64+0x55/0x190
<4> [230.165483]        entry_SYSCALL_64_after_hwframe+0x49/0xbe
<4> [230.165490] 
other info that might help us debug this:

<4> [230.165500] Chain exists of:
  &mm->mmap_sem --> pmus_lock --> &cpuctx_mutex

<4> [230.165514]  Possible unsafe locking scenario:

<4> [230.165521]        CPU0                    CPU1
<4> [230.165528]        ----                    ----
<4> [230.165534]   lock(&cpuctx_mutex);
<4> [230.165540]                                lock(pmus_lock);
<4> [230.165548]                                lock(&cpuctx_mutex);
<4> [230.165556]   lock(&mm->mmap_sem);
<4> [230.165562] 
 *** DEADLOCK ***

<4> [230.165571] 1 lock held by perf_pmu/2178:
<4> [230.165577]  #0: 0000000035968c21 (&cpuctx_mutex){+.+.}, at: perf_event_ctx_lock_nested+0xbc/0x1d0
<4> [230.165592] 
stack backtrace:
<4> [230.165601] CPU: 0 PID: 2178 Comm: perf_pmu Tainted: G     U            5.0.0-rc2-g19fd97ec0d64-drmtip_196+ #1
<4> [230.165613] Hardware name:  /NUC5CPYB, BIOS PYBSWCEL.86A.0058.2016.1102.1842 11/02/2016
<4> [230.165623] Call Trace:
<4> [230.165632]  dump_stack+0x67/0x9b
<4> [230.165643]  print_circular_bug.isra.16+0x1c8/0x2b0
<4> [230.165652]  __lock_acquire+0x183a/0x1b00
<4> [230.165662]  ? perf_event_update_sibling_time.part.2+0x30/0x30
<4> [230.165672]  ? smp_call_function_single+0xb4/0x150
<4> [230.165681]  ? __mutex_lock+0x8c/0x960
<4> [230.165690]  ? lock_acquire+0xa6/0x1c0
<4> [230.165697]  lock_acquire+0xa6/0x1c0
<4> [230.165705]  ? __might_fault+0x39/0x90
<4> [230.165713]  __might_fault+0x63/0x90
<4> [230.165720]  ? __might_fault+0x39/0x90
<4> [230.165728]  _copy_to_user+0x1e/0x70
<4> [230.165736]  perf_read+0x200/0x2a0
<4> [230.165745]  ? __fd_install+0xbc/0x2c0
<4> [230.165754]  __vfs_read+0x31/0x190
<4> [230.165762]  ? lock_acquire+0xa6/0x1c0
<4> [230.165771]  ? __task_pid_nr_ns+0xb9/0x1f0
<4> [230.165779]  vfs_read+0x9e/0x150
<4> [230.165787]  ksys_read+0x50/0xc0
<4> [230.165795]  do_syscall_64+0x55/0x190
<4> [230.165803]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
<4> [230.165812] RIP: 0033:0x7ff01ebc534e
<4> [230.165820] Code: 00 00 00 00 48 8b 15 71 8c 20 00 f7 d8 64 89 02 48 c7 c0 ff ff ff ff c3 0f 1f 40 00 8b 05 ba d0 20 00 85 c0 75 16 31 c0 0f 05 <48> 3d 00 f0 ff ff 77 5a f3 c3 0f 1f 84 00 00 00 00 00 41 54 55 49
<4> [230.165840] RSP: 002b:00007fffe9340778 EFLAGS: 00000246 ORIG_RAX: 0000000000000000
<4> [230.165851] RAX: ffffffffffffffda RBX: 0000000000000000 RCX: 00007ff01ebc534e
<4> [230.165860] RDX: 0000000000000010 RSI: 00007fffe93407a0 RDI: 0000000000000007
<4> [230.165868] RBP: 00007fffe93407c0 R08: 0000000000000000 R09: 0000000000000036
<4> [230.165877] R10: 00000000ffffffca R11: 0000000000000246 R12: 000055b7a6f08480
<4> [230.165886] R13: 00007fffe93423d0 R14: 0000000000000000 R15: 0000000000000000
<6> [231.176301] [IGT] perf_pmu: exiting, ret=0
Comment 1 CI Bug Log 2019-01-18 19:58:58 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* All machines: igt@perf_pmu@* - dmesg-warn / incomplete - WARNING: possible circular locking dependency detected
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-blb-e6850/igt@gem_userptr_blits@map-fixed-invalidate-overlap-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-blb-e6850/igt@gem_userptr_blits@map-fixed-invalidate-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@interrupts-sync.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@busy-double-start-vecs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@idle-vecs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@other-read-3.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@busy-accuracy-98-rcs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@busy-accuracy-98-bcs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@most-busy-idle-check-all-vecs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@busy-idle-check-all-vecs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@idle-vcs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@most-busy-idle-check-all-rcs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@busy-bcs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@gem_userptr_blits@map-fixed-invalidate-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@most-busy-check-all-vecs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@busy-accuracy-2-vecs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@all-busy-check-all.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@most-busy-check-all-rcs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@idle-rcs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@semaphore-wait-vcs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@rc6-runtime-pm-long.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@busy-double-start-bcs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@most-busy-idle-check-all-vcs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@busy-start-vecs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@all-busy-idle-check-all.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@multi-client-vecs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@gem_pwrite_pread@uncached-pwrite-blt-gtt_mmap-correctness.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@busy-vecs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@cpu-hotplug.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@busy-accuracy-50-vcs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@busy-vcs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@perf_pmu@semaphore-wait-idle-vecs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-cfl-8109u/igt@gem_userptr_blits@map-fixed-invalidate-overlap-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-cfl-8109u/igt@gem_userptr_blits@map-fixed-invalidate-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-cfl-8109u/igt@gem_userptr_blits@map-fixed-invalidate-overlap-busy.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-cfl-8700k/igt@gem_userptr_blits@map-fixed-invalidate-busy-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-cfl-8700k/igt@gem_userptr_blits@map-fixed-invalidate-overlap-busy.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-cfl-guc/igt@gem_userptr_blits@map-fixed-invalidate-busy-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-cfl-guc/igt@gem_userptr_blits@map-fixed-invalidate-overlap-busy.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-hsw-4770/igt@gem_userptr_blits@map-fixed-invalidate-overlap-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-hsw-4770/igt@gem_userptr_blits@map-fixed-invalidate-busy-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-hsw-4770/igt@gem_userptr_blits@map-fixed-invalidate-overlap-busy.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-hsw-4770r/igt@gem_userptr_blits@map-fixed-invalidate-overlap-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-hsw-4770r/igt@gem_userptr_blits@map-fixed-invalidate-busy-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-hsw-4770r/igt@gem_userptr_blits@map-fixed-invalidate-overlap-busy.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-hsw-peppy/igt@gem_userptr_blits@map-fixed-invalidate-busy-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-hsw-peppy/igt@gem_userptr_blits@map-fixed-invalidate-overlap-busy.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-icl-u2/igt@gem_userptr_blits@map-fixed-invalidate-overlap-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-icl-u2/igt@gem_userptr_blits@map-fixed-invalidate-busy-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-icl-u2/igt@gem_userptr_blits@map-fixed-invalidate-overlap-busy.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-icl-u3/igt@gem_userptr_blits@map-fixed-invalidate-overlap-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-icl-u3/igt@gem_userptr_blits@map-fixed-invalidate-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-icl-u3/igt@gem_userptr_blits@map-fixed-invalidate-overlap-busy.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-ilk-650/igt@gem_userptr_blits@map-fixed-invalidate-overlap-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-ilk-650/igt@gem_userptr_blits@map-fixed-invalidate-busy-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-ilk-650/igt@gem_userptr_blits@map-fixed-invalidate-overlap-busy.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-ivb-3520m/igt@gem_userptr_blits@map-fixed-invalidate-busy-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-ivb-3520m/igt@gem_userptr_blits@map-fixed-invalidate-overlap-busy.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-ivb-3770/igt@gem_userptr_blits@map-fixed-invalidate-overlap-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-ivb-3770/igt@gem_userptr_blits@map-fixed-invalidate-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-kbl-7500u/igt@gem_userptr_blits@map-fixed-invalidate-overlap-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-kbl-7500u/igt@gem_userptr_blits@map-fixed-invalidate-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-kbl-7500u/igt@gem_userptr_blits@map-fixed-invalidate-overlap-busy.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-kbl-7560u/igt@gem_userptr_blits@map-fixed-invalidate-busy-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-kbl-7560u/igt@gem_userptr_blits@map-fixed-invalidate-overlap-busy.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-kbl-7567u/igt@gem_userptr_blits@map-fixed-invalidate-busy-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-kbl-8809g/igt@gem_userptr_blits@map-fixed-invalidate-overlap-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-kbl-8809g/igt@gem_userptr_blits@map-fixed-invalidate-overlap-busy.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-kbl-guc/igt@gem_userptr_blits@map-fixed-invalidate-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-kbl-r/igt@gem_userptr_blits@map-fixed-invalidate-overlap-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-kbl-r/igt@gem_userptr_blits@map-fixed-invalidate-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-kbl-r/igt@gem_userptr_blits@map-fixed-invalidate-overlap-busy.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-kbl-x1275/igt@gem_userptr_blits@map-fixed-invalidate-overlap-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-kbl-x1275/igt@gem_userptr_blits@map-fixed-invalidate-busy-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-kbl-x1275/igt@gem_userptr_blits@map-fixed-invalidate-overlap-busy.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-pnv-d510/igt@gem_userptr_blits@map-fixed-invalidate-overlap-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-pnv-d510/igt@gem_userptr_blits@map-fixed-invalidate-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-pnv-d510/igt@gem_userptr_blits@map-fixed-invalidate-overlap-busy.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-skl-6260u/igt@gem_userptr_blits@map-fixed-invalidate-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-skl-6260u/igt@gem_userptr_blits@map-fixed-invalidate-overlap-busy.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-skl-6600u/igt@gem_userptr_blits@map-fixed-invalidate-overlap-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-skl-6600u/igt@gem_userptr_blits@map-fixed-invalidate-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-skl-6600u/igt@gem_userptr_blits@map-fixed-invalidate-overlap-busy.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-skl-6700hq/igt@gem_userptr_blits@map-fixed-invalidate-overlap-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-skl-6700hq/igt@gem_userptr_blits@map-fixed-invalidate-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-skl-6700k2/igt@gem_userptr_blits@map-fixed-invalidate-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-skl-6700k2/igt@gem_userptr_blits@map-fixed-invalidate-overlap-busy.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-skl-6770hq/igt@gem_userptr_blits@map-fixed-invalidate-overlap-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-skl-6770hq/igt@gem_userptr_blits@map-fixed-invalidate-busy-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-skl-guc/igt@gem_userptr_blits@map-fixed-invalidate-overlap-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-skl-guc/igt@gem_userptr_blits@map-fixed-invalidate-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-skl-iommu/igt@gem_userptr_blits@map-fixed-invalidate-overlap-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-skl-iommu/igt@gem_userptr_blits@map-fixed-invalidate-busy-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-skl-iommu/igt@gem_userptr_blits@map-fixed-invalidate-overlap-busy.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-snb-2520m/igt@gem_userptr_blits@map-fixed-invalidate-busy-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-snb-2520m/igt@gem_userptr_blits@map-fixed-invalidate-overlap-busy.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-whl-u/igt@gem_userptr_blits@map-fixed-invalidate-gup.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-whl-u/igt@gem_userptr_blits@map-fixed-invalidate-overlap-busy.html
Comment 2 Chris Wilson 2019-01-18 20:34:48 UTC
This is close to being a WONTFIX as for us it is nigh on impossible to fix. perf allocates from inside per-cpu smpboot callback, tainting the cpuhp mutex used for stop-machine. We need to use stop-machine from any context to prevent the HW issue... Or we need to do something like revoke all mmaps before any GGTT update (which sounds even worse than stop-machine). Even breaking away from struct_mutex won't help here as the same chain will be created for ggtt->vm.mutex (both required from inside i915_gem_fault and then taking stop-machine for the ggtt insertion).

So the most realistic coarse of action would be to avoid the same perf lock being required inside cpuhp and around the perf_event.
Comment 3 Chris Wilson 2019-01-18 20:36:40 UTC
Fwiw, the same perf <-> cpuhp chain prevent us from using stop-machine inside reset to serialise memory traffic against fence register reinitialisation.
Comment 6 CI Bug Log 2019-01-29 12:30:11 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule (deep-blt) -}
{+ BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_197/fi-bsw-n3050/igt@runner@aborted.html
Comment 7 CI Bug Log 2019-01-29 12:31:25 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking -}
{+ BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@runner@aborted.html
Comment 8 CI Bug Log 2019-01-31 14:14:19 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: random tests - dmesg-warn - possible circular locking dependency detected -}
{+ BSW: random tests - dmesg-warn - possible circular locking dependency detected +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-bsw-n3050/igt@kms_chv_cursor_fail@pipe-c-64x64-left-edge.html
Comment 9 CI Bug Log 2019-01-31 14:16:34 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread -}
{+ BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-bsw-n3050/igt@runner@aborted.html
Comment 10 CI Bug Log 2019-01-31 16:27:01 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread -}
{+ BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_202/fi-bsw-n3050/igt@runner@aborted.html
Comment 11 CI Bug Log 2019-01-31 16:32:22 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread -}
{+ BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-bsw-n3050/igt@runner@aborted.html
Comment 12 CI Bug Log 2019-02-02 15:04:13 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: random tests - dmesg-warn - possible circular locking dependency detected -}
{+ BSW: random tests - dmesg-warn - possible circular locking dependency detected +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_203/fi-bsw-n3050/igt@gem_mmap_wc@write-gtt-read-wc.html
Comment 13 CI Bug Log 2019-02-02 15:08:33 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread -}
{+ BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_203/fi-bsw-n3050/igt@runner@aborted.html
Comment 14 CI Bug Log 2019-02-02 15:10:38 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: random tests - dmesg-warn - possible circular locking dependency detected -}
{+ BSW: random tests - dmesg-warn - possible circular locking dependency detected +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_203/fi-bsw-n3050/igt@gem_exec_reloc@basic-cpu-gtt-noreloc.html
Comment 15 CI Bug Log 2019-02-02 15:14:01 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread -}
{+ BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_203/fi-bsw-n3050/igt@runner@aborted.html
Comment 16 CI Bug Log 2019-02-03 12:30:30 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: random tests - dmesg-warn - possible circular locking dependency detected -}
{+ BSW: random tests - dmesg-warn - possible circular locking dependency detected +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_207/fi-bsw-kefka/igt@drm_read@short-buffer-nonblock.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_207/fi-bsw-n3050/igt@drm_read@short-buffer-nonblock.html
Comment 17 CI Bug Log 2019-02-03 12:31:21 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc -}
{+ BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_207/fi-bsw-kefka/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_207/fi-bsw-n3050/igt@runner@aborted.html
Comment 18 CI Bug Log 2019-02-06 16:19:30 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: random tests - dmesg-warn - possible circular locking dependency detected -}
{+ BSW: all tests - dmesg-warn - possible circular locking dependency detected +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_210/fi-bsw-n3050/igt@prime_mmap_coherency@read.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_204/fi-bsw-n3050/igt@kms_flip@dpms-off-confusion-interruptible.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_205/fi-bsw-kefka/igt@kms_flip@nonexisting-fb.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_205/fi-bsw-kefka/igt@gem_mmap_gtt@forked-basic-small-copy.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_205/fi-bsw-n3050/igt@kms_flip@nonexisting-fb.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_205/fi-bsw-n3050/igt@gem_mmap_gtt@forked-basic-small-copy.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_206/fi-bsw-kefka/igt@kms_flip@nonexisting-fb.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_206/fi-bsw-kefka/igt@gem_mmap_gtt@forked-basic-small-copy.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_206/fi-bsw-n3050/igt@kms_flip@nonexisting-fb.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_206/fi-bsw-n3050/igt@gem_mmap_gtt@forked-basic-small-copy.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_207/fi-bsw-kefka/igt@kms_draw_crc@draw-method-rgb565-mmap-cpu-untiled.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_208/fi-bsw-kefka/igt@kms_draw_crc@draw-method-rgb565-mmap-cpu-untiled.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_209/fi-bsw-kefka/igt@kms_draw_crc@draw-method-rgb565-mmap-cpu-untiled.html
Comment 20 CI Bug Log 2019-02-08 11:59:26 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read -}
{+ BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_211/fi-bsw-kefka/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_211/fi-bsw-n3050/igt@runner@aborted.html
Comment 21 CI Bug Log 2019-02-08 14:48:01 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read -}
{+ BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_212/fi-bsw-kefka/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_212/fi-bsw-n3050/igt@runner@aborted.html
Comment 22 CI Bug Log 2019-02-08 15:02:19 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  -}
{+ BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_212/fi-bsw-kefka/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_212/fi-bsw-n3050/igt@runner@aborted.html
Comment 23 CI Bug Log 2019-02-11 11:57:42 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  -}
{+ BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_212/fi-bsw-kefka/igt@runner@aborted.html
Comment 24 CI Bug Log 2019-02-11 12:03:49 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  -}
{+ BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_212/fi-bsw-kefka/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_212/fi-bsw-n3050/igt@runner@aborted.html
Comment 25 CI Bug Log 2019-02-11 12:06:54 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  -}
{+ BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_213/fi-bsw-n3050/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_214/fi-bsw-n3050/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_215/fi-bsw-n3050/igt@runner@aborted.html
Comment 26 CI Bug Log 2019-02-11 12:14:56 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  -}
{+ BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_213/fi-bsw-kefka/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_214/fi-bsw-kefka/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_215/fi-bsw-kefka/igt@runner@aborted.html
Comment 27 CI Bug Log 2019-02-11 12:21:58 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  -}
{+ BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_211/fi-bsw-n3050/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_213/fi-bsw-n3050/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_213/fi-bsw-n3050/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_214/fi-bsw-n3050/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_214/fi-bsw-n3050/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_215/fi-bsw-n3050/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_215/fi-bsw-n3050/igt@runner@aborted.html
Comment 28 CI Bug Log 2019-02-12 11:10:01 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  -}
{+ BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-bsw-n3050/igt@runner@aborted.html
Comment 29 CI Bug Log 2019-02-15 14:02:32 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  -}
{+ BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_218/fi-bsw-n3050/igt@runner@aborted.html
Comment 30 CI Bug Log 2019-02-15 14:08:08 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  -}
{+ BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_218/fi-bsw-n3050/igt@runner@aborted.html
Comment 31 CI Bug Log 2019-02-21 11:25:36 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  -}
{+ BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_222/fi-bsw-kefka/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_222/fi-bsw-n3050/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_223/fi-bsw-kefka/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_223/fi-bsw-n3050/igt@runner@aborted.html
Comment 32 CI Bug Log 2019-02-25 11:55:27 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  -}
{+ BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_227/fi-bsw-kefka/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_227/fi-bsw-kefka/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_227/fi-bsw-n3050/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_227/fi-bsw-n3050/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_227/fi-bsw-n3050/igt@runner@aborted.html
Comment 33 CI Bug Log 2019-03-04 09:11:08 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  -}
{+ BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_235/fi-bsw-n3050/igt@runner@aborted.html
Comment 34 Chris Wilson 2019-03-11 08:37:28 UTC
*** Bug 109956 has been marked as a duplicate of this bug. ***
Comment 35 CI Bug Log 2019-03-13 08:10:25 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  -}
{+ BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_240/fi-bsw-kefka/igt@runner@aborted.html
Comment 36 Francesco Balestrieri 2019-03-19 07:48:53 UTC
Assigning to Tvrtko for investigation.
Comment 37 CI Bug Log 2019-03-19 17:49:02 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  -}
{+ BSW: igt@runner@aborted - fail - Previous test: gem_exec_schedule / kms_frontbuffer_tracking / gem_pwrite_pread / gem_exec_reloc / gem_mmap_wc / drm_read /  +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_243/fi-bsw-kefka/igt@runner@aborted.html
Comment 38 Martin Peres 2019-04-23 13:30:29 UTC
Moving the bug to BSW-only since all the other platforms got fixed!
Comment 39 CI Bug Log 2019-04-23 13:30:53 UTC
The CI Bug Log issue associated to this bug has been updated.

### Removed filters

* All machines: igt@perf_pmu@* - dmesg-warn / incomplete - WARNING: possible circular locking dependency detected (added on 3 months ago)
Comment 40 Jani Saarinen 2019-04-27 16:52:17 UTC
last seen 3 months 1  ago. closing
Comment 41 CI Bug Log 2019-04-27 16:53:18 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.
Comment 42 Chris Wilson 2019-04-27 16:56:59 UTC
(In reply to Martin Peres from comment #38)
> Moving the bug to BSW-only since all the other platforms got fixed!

It can only affect bsw and bxt+vtd.
Comment 43 CI Bug Log 2019-04-27 17:52:04 UTC
The CI Bug Log issue associated to this bug has been restored.

All the previous filters are now active.
Comment 44 CI Bug Log 2019-04-27 17:54:32 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: all tests - dmesg-warn - possible circular locking dependency detected -}
{+ BSW: all tests - dmesg-warn - possible circular locking dependency detected +}


  No new failures caught with the new filter
Comment 45 CI Bug Log 2019-04-27 17:55:06 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW: all tests - dmesg-warn - possible circular locking dependency detected -}
{+ BSW BXT: all tests - dmesg-warn - possible circular locking dependency detected +}


  No new failures caught with the new filter
Comment 46 CI Bug Log 2019-05-13 06:42:47 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW BXT: all tests - dmesg-warn - possible circular locking dependency detected -}
{+ BSW BXT: all tests - dmesg-warn/dmesg-fail  - possible circular locking dependency detected +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_282/fi-bsw-n3050/igt@kms_plane_cursor@pipe-c-primary-size-256.html
Comment 47 Chris Wilson 2019-09-11 08:12:02 UTC
*** Bug 111652 has been marked as a duplicate of this bug. ***
Comment 48 CI Bug Log 2019-09-12 06:01:12 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW BXT: all tests - dmesg-warn/dmesg-fail  - possible circular locking dependency detected -}
{+ BSW APL BXT: all tests - dmesg-warn/dmesg-fail  - possible circular locking dependency detected +}


  No new failures caught with the new filter
Comment 50 CI Bug Log 2019-10-22 09:52:11 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* GLK:  igt@gem_tiled_blits@interruptible - dmesg-warn- WARNING: possible circular locking dependency detected
  (No new failures associated)


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.